const std = @import("std");
const SSHashMap = std.StringHashMap([]const u8);

const Config = @This();

allocator: std.mem.Allocator,
address: union(enum) {
    net: std.net.Address,
    unix: []const u8, // std.net.Address looks like it handles unix sockets but it doesn't really.
},
database: ?[]const u8 = null,
user: []const u8,
password: ?[]const u8 = null,
